package fr.shortcircuit.tp9.web.definition;

import fr.shortcircuit.tp9.business.definition.IProductBO;
import fr.shortcircuit.tp9.model.Product;

/** @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

public interface IProductEditBean
{
	//Web Controllers methods
	public void 			editProduct();
	public void 			saveProduct();
	public Product 			getCurrentProduct();
	public boolean 			isStateDisplayValueOnly();
	public void 			setCurrentProduct(Product currentProduct);
	public void 			setStateDisplayValueOnly(boolean stateDisplayValueOnly);

	//Beans accessors & mutators
	public IProductBO 		getProductBO();
	public IKeyRepository 	getKeyRepository();
	public void 			setProductBO(IProductBO productBO);
	public void 			setKeyRepository(IKeyRepository keyRepository);
}
